# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'puppet_readme_generator/version'

Gem::Specification.new do |spec|
  spec.name          = 'puppet_readme_generator'
  spec.version       = PuppetReadmeGenerator::VERSION
  spec.authors       = ['Christian Simon']
  spec.email         = ['simon@swine.de']

  spec.summary       = 'Generate README automatically from puppet module docstrings.'
  spec.description   = 'Generate README automatically from puppet module docstrings.'
  spec.homepage      = 'https://github.com/jetstack/rubygem-puppet_readme_generator'
  spec.license       = 'Apache'

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_development_dependency 'bundler', '~> 1.11'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rspec', '~> 3.0'
  spec.add_dependency 'puppet-strings', '~> 1.0'
  spec.add_dependency 'rake'
end
